--- a/MySQL.spec	2025-06-05 02:29:03.581877291 +0000
+++ b/MySQL.spec	2025-06-05 02:29:03.612877688 +0000
@@ -628,7 +628,7 @@
 %if_with mysql_router 
 %pre router
 /usr/sbin/groupadd -r -f %mysqlrouter_user
-/usr/sbin/useradd -r -g %mysqlrouter_user -d %ROUTER_ROOT -s /dev/null -c "MySQL router" -n %mysqlrouter_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqlrouter_user -d %ROUTER_ROOT -s /dev/null -c "MySQL router" -N %mysqlrouter_user >/dev/null 2>&1 ||:
 if [ -e /etc/mysqlrouter/mysqlrouter.conf -a ! -e /etc/mysqlrouter/mysqlrouter.conf.rename ]; then
         mv -v /etc/mysqlrouter/mysqlrouter.conf /etc/mysqlrouter/mysqlrouter.conf.rename &&
         chown 0:0 /etc/mysqlrouter/mysqlrouter.conf.rename &&
@@ -656,7 +656,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f %mysqld_user
-/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -n %mysqld_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -N %mysqld_user >/dev/null 2>&1 ||:
 
 if [ ! -e %ROOT/my.cnf -a -f /etc/my.cnf -a ! -L /etc/my.cnf -a ! -e /etc/my.cnf.rename ]; then
 	mv -v /etc/my.cnf /etc/my.cnf.rename &&
--- a/agola.spec	2025-06-05 02:29:03.949882002 +0000
+++ b/agola.spec	2025-06-05 02:29:03.952882040 +0000
@@ -78,7 +78,7 @@
 
 %pre
 groupadd -r -f _%name
-useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -n _%name >/dev/null 2>&1 ||:
+useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -N _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/alterator-fbi.spec	2025-06-05 02:29:04.090883806 +0000
+++ b/alterator-fbi.spec	2025-06-05 02:29:04.095883870 +0000
@@ -96,7 +96,7 @@
 %pre
 /usr/sbin/groupadd -r -f _ahttpd
 /usr/sbin/groupadd -r -f _alteratord
-/usr/sbin/useradd -r -g _ahttpd -G _alteratord -d /dev/null -s /dev/null -n _ahttpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _ahttpd -G _alteratord -d /dev/null -s /dev/null -N _ahttpd >/dev/null 2>&1 ||:
 
 %post
 %post_service ahttpd
--- a/asterisk.spec	2025-06-05 02:29:04.445888350 +0000
+++ b/asterisk.spec	2025-06-05 02:29:04.455888478 +0000
@@ -152,7 +152,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _asterisk &> /dev/null
-%_sbindir/useradd -r -g _asterisk -d /dev/null -s /dev/null -c 'Asterisk IP PBX' -n _asterisk &> /dev/null ||:
+%_sbindir/useradd -r -g _asterisk -d /dev/null -s /dev/null -c 'Asterisk IP PBX' -N _asterisk &> /dev/null ||:
 
 %post
 %post_service asterisk
--- a/atftp.spec	2025-06-05 02:29:04.509889170 +0000
+++ b/atftp.spec	2025-06-05 02:29:04.512889208 +0000
@@ -45,7 +45,7 @@
  
 %pre
 %_sbindir/groupadd -r -f _atftpd &> /dev/null
-%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -n _atftpd &> /dev/null ||:
+%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -N _atftpd &> /dev/null ||:
 
 %post
 %post_service atftpd
--- a/bacula15.spec	2025-06-05 02:29:04.621890603 +0000
+++ b/bacula15.spec	2025-06-05 02:29:04.651890987 +0000
@@ -663,7 +663,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f bacula
-%_sbindir/useradd -r -n -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
 %_sbindir/usermod -d /var/empty -s /bin/false bacula >/dev/null 2>&1
 
 %post common
--- a/bind.spec	2025-06-05 02:29:04.745892190 +0000
+++ b/bind.spec	2025-06-05 02:29:04.761892395 +0000
@@ -432,7 +432,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %named_group
-/usr/sbin/useradd -r -g %named_group -d %_chrootdir -s /dev/null -n \
+/usr/sbin/useradd -r -g %named_group -d %_chrootdir -s /dev/null -N \
     -c "Domain Name Server" %named_user >/dev/null 2>&1 ||:
 [ -f %_initdir/named -a ! -L %_initdir/named ] && /sbin/chkconfig --del named ||:
 
--- a/bird.spec	2025-06-05 02:29:04.818893125 +0000
+++ b/bird.spec	2025-06-05 02:29:04.822893176 +0000
@@ -89,7 +89,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _bird 2> /dev/null ||:
-%_sbindir/useradd -r -n -g _bird -d /var/lib/bird -s /dev/null -c "BIRD Routing Daemon System User" _bird 2> /dev/null ||:
+%_sbindir/useradd -r -N -g _bird -d /var/lib/bird -s /dev/null -c "BIRD Routing Daemon System User" _bird 2> /dev/null ||:
 
 %post
 %post_service bird
--- a/bluez-alsa.spec	2025-06-05 02:29:04.946894763 +0000
+++ b/bluez-alsa.spec	2025-06-05 02:29:04.950894814 +0000
@@ -122,7 +122,7 @@
 %endif
 
 %pre
-/usr/sbin/useradd -r -n -g audio -M -s /dev/null -c %b_user %b_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g audio -M -s /dev/null -c %b_user %b_user >/dev/null 2>&1 ||:
 
 %files
 %doc README.md NEWS LICENSE AUTHORS
--- a/burp.spec	2025-06-05 02:29:05.092896632 +0000
+++ b/burp.spec	2025-06-05 02:29:05.095896670 +0000
@@ -93,7 +93,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _burp
-/usr/sbin/useradd -r -g _burp -d /var/empty -s /dev/null -n -c "BURP BackUp and Restore Program" _burp >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _burp -d /var/empty -s /dev/null -N -c "BURP BackUp and Restore Program" _burp >/dev/null 2>&1 ||:
 
 %post
 %post_service burp-server
--- a/c-icap.spec	2025-06-05 02:29:05.160897502 +0000
+++ b/c-icap.spec	2025-06-05 02:29:05.164897553 +0000
@@ -95,7 +95,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _c_icap ||:
-/usr/sbin/useradd -M -n _c_icap -r -d %_runtimedir/%name -s /dev/null -c "System user for %name" -g _c_icap > /dev/null 2>&1 ||:
+/usr/sbin/useradd -M -N _c_icap -r -d %_runtimedir/%name -s /dev/null -c "System user for %name" -g _c_icap > /dev/null 2>&1 ||:
 
 # home directory was in /var/run/ before 1:0.5.6-alt2
 /usr/sbin/usermod --home /run/%name _c_icap ||:
--- a/cmdproxyd.spec	2025-06-05 02:29:05.516902059 +0000
+++ b/cmdproxyd.spec	2025-06-05 02:29:05.517902072 +0000
@@ -26,7 +26,7 @@
 
 %post
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 %post_service %name
 
 %preun
--- a/colord.spec	2025-06-05 02:29:05.615903326 +0000
+++ b/colord.spec	2025-06-05 02:29:05.625903454 +0000
@@ -183,7 +183,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %colord_group 2>/dev/null ||:
-%_sbindir/useradd -r -n -g %colord_group -d %_localstatedir/%name \
+%_sbindir/useradd -r -N -g %colord_group -d %_localstatedir/%name \
 	-s /dev/null -c "User for colord" %colord_user 2>/dev/null ||:
 
 %files -f %name.lang
--- a/dansguardian.spec	2025-06-05 02:29:05.709904529 +0000
+++ b/dansguardian.spec	2025-06-05 02:29:05.712904568 +0000
@@ -58,7 +58,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1
-%_sbindir/useradd -r -n -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
 
 %preun
 %preun_service %name
--- a/dbus.spec	2025-06-05 02:29:05.806905771 +0000
+++ b/dbus.spec	2025-06-05 02:29:05.813905861 +0000
@@ -131,7 +131,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %dbus_group 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:
+%_sbindir/useradd -r -N -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:
 
 %post
 if [ $1 -eq 1 ] ; then
--- a/deluge.spec	2025-06-05 02:29:05.962907768 +0000
+++ b/deluge.spec	2025-06-05 02:29:05.968907845 +0000
@@ -119,7 +119,7 @@
 
 %pre -n deluged
 %_sbindir/groupadd -r -f _deluge
-%_sbindir/useradd -r -n -g _deluge -d %_spooldir/%{name}d -s /dev/null -c "deluge bittorrent daemon" _deluge >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _deluge -d %_spooldir/%{name}d -s /dev/null -c "deluge bittorrent daemon" _deluge >/dev/null 2>&1 ||:
 
 %post -n deluged
 %post_service deluged
--- a/dictd.spec	2025-06-05 02:29:06.018908484 +0000
+++ b/dictd.spec	2025-06-05 02:29:06.025908574 +0000
@@ -179,7 +179,7 @@
 
 %pre
 %_sbindir/groupadd -r dictd &>/dev/null ||:
-%_sbindir/useradd -r -n -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:
+%_sbindir/useradd -r -N -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:
 
 %post
 if [ "$1" = "1" ]; then
--- a/dovecot.spec	2025-06-05 02:29:06.273911748 +0000
+++ b/dovecot.spec	2025-06-05 02:29:06.280911838 +0000
@@ -170,10 +170,10 @@
 %pre
 %pre_control mailboxes
 groupadd -r -f dovecot 2>/dev/null ||:
-useradd -r -n -g dovecot -c 'Dovecot internal processes' \
+useradd -r -N -g dovecot -c 'Dovecot internal processes' \
 		-d %_var/run/%name -s /dev/null dovecot 2>/dev/null ||:
 groupadd -r -f dovenull 2>/dev/null ||:
-useradd -r -n -g dovenull -c 'Dovecot untrusted login processes' \
+useradd -r -N -g dovenull -c 'Dovecot untrusted login processes' \
 		-d %_var/run/%name -s /dev/null dovenull 2>/dev/null ||:
 %post
 %post_control -s private mailboxes
--- a/etcd.spec	2025-06-05 02:29:06.908919876 +0000
+++ b/etcd.spec	2025-06-05 02:29:06.911919914 +0000
@@ -90,7 +90,7 @@
 
 %pre
 groupadd -r -f %etcd_group
-useradd -r -g %etcd_group -d /dev/null -s /dev/null -n %etcd_user >/dev/null 2>&1 ||:
+useradd -r -g %etcd_group -d /dev/null -s /dev/null -N %etcd_user >/dev/null 2>&1 ||:
 
 %post
 %post_service %prog_name
--- a/etcd.spec	2025-06-05 02:29:06.959920529 +0000
+++ b/etcd.spec	2025-06-05 02:29:06.962920567 +0000
@@ -92,7 +92,7 @@
 
 %pre
 groupadd -r -f %etcd_group
-useradd -r -g %etcd_group -d /dev/null -s /dev/null -n %etcd_user >/dev/null 2>&1 ||:
+useradd -r -g %etcd_group -d /dev/null -s /dev/null -N %etcd_user >/dev/null 2>&1 ||:
 
 %post
 %post_service %prog_name
--- a/fcgiwrap.spec	2025-06-05 02:29:07.063921860 +0000
+++ b/fcgiwrap.spec	2025-06-05 02:29:07.065921886 +0000
@@ -44,7 +44,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _webserver ||:
-%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -n _fcgiwrap \
+%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -N _fcgiwrap \
         2> /dev/null > /dev/null ||:
 
 %files
--- a/fetchmail.spec	2025-06-05 02:29:07.112922487 +0000
+++ b/fetchmail.spec	2025-06-05 02:29:07.118922564 +0000
@@ -161,7 +161,7 @@
 
 %pre -n %name-daemon
 %_sbindir/groupadd -r -f %name ||:
-%_sbindir/useradd -r -n -M -g %name -d %rtdir -s /dev/null %name &>/dev/null ||:
+%_sbindir/useradd -r -N -M -g %name -d %rtdir -s /dev/null %name &>/dev/null ||:
 
 %triggerpostun -n %name-daemon -- fetchmail-daemon <= 6.3.9-alt1
 usermod -d %rtdir %name ||:
--- a/freeradius.spec	2025-06-05 02:29:07.704930065 +0000
+++ b/freeradius.spec	2025-06-05 02:29:07.731930410 +0000
@@ -315,7 +315,7 @@
 
 %pre common
 groupadd -r -f radiusd
-useradd -r -n -g radiusd -d /dev/null -s /dev/null -c RADIUS radiusd >/dev/null 2>&1 ||:
+useradd -r -N -g radiusd -d /dev/null -s /dev/null -c RADIUS radiusd >/dev/null 2>&1 ||:
 
 %post
 %post_service radiusd
--- a/ftn.spec	2025-06-05 02:29:07.842931831 +0000
+++ b/ftn.spec	2025-06-05 02:29:07.846931882 +0000
@@ -75,7 +75,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name ||:
-/usr/sbin/useradd -r -g %name -G uucp -M -d %_localstatedir/%name -s /bin/sh -n %name &>/dev/null ||:
+/usr/sbin/useradd -r -g %name -G uucp -M -d %_localstatedir/%name -s /bin/sh -N %name &>/dev/null ||:
 
 %files
 %defattr(644,root,%name,750)
--- a/gerbera.spec	2025-06-05 02:29:08.158935876 +0000
+++ b/gerbera.spec	2025-06-05 02:29:08.162935927 +0000
@@ -111,7 +111,7 @@
 
 %pre
 groupadd -r -f %name >/dev/null 2>&1 ||:
-useradd -r -n -g %name -d %_localstatedir/%name -s /dev/null \
+useradd -r -N -g %name -d %_localstatedir/%name -s /dev/null \
     -c 'Gerbera UPnP Media Server' %name >/dev/null 2>&1 ||:
 
 %post
--- a/git.spec	2025-06-05 02:29:08.505940317 +0000
+++ b/git.spec	2025-06-05 02:29:08.520940509 +0000
@@ -397,7 +397,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f _gitd
-/usr/sbin/useradd -r -g _gitd -d /dev/null -s /dev/null -c 'The git server' -n _gitd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _gitd -d /dev/null -s /dev/null -c 'The git server' -N _gitd >/dev/null 2>&1 ||:
 
 %files
 
--- a/iftop.spec	2025-06-05 02:29:09.079947664 +0000
+++ b/iftop.spec	2025-06-05 02:29:09.082947703 +0000
@@ -57,7 +57,7 @@
 
 %post
 %_sbindir/groupadd -r -f _iftop
-%_sbindir/useradd -r -g _iftop -d /dev/null -s /dev/null -n _iftop >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _iftop -d /dev/null -s /dev/null -N _iftop >/dev/null 2>&1 ||:
 %post_control -s netadmin iftop
 
 %files
--- a/jicofo.spec	2025-06-05 02:29:09.615954525 +0000
+++ b/jicofo.spec	2025-06-05 02:29:09.618954563 +0000
@@ -67,7 +67,7 @@
 %_unitdir/%name.service
 
 %pre
-%_sbindir/useradd -r -d /dev/null -s /dev/null -n %jicofo_user \
+%_sbindir/useradd -r -d /dev/null -s /dev/null -N %jicofo_user \
         2> /dev/null > /dev/null ||:
 
 %post
--- a/lightsquid.spec	2025-06-05 02:29:13.615005710 +0000
+++ b/lightsquid.spec	2025-06-05 02:29:13.620005774 +0000
@@ -91,7 +91,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
-/usr/sbin/useradd -r -g %name -G squid -d %_localstatedir/%name -c 'Log parser lightsquid' -s /bin/false -n %name &> /dev/null ||:
+/usr/sbin/useradd -r -g %name -G squid -d %_localstatedir/%name -c 'Log parser lightsquid' -s /bin/false -N %name &> /dev/null ||:
 
 %post
 if [[ -d %lightdir/report ]]; then
--- a/mariadb.spec	2025-06-05 02:29:13.962010151 +0000
+++ b/mariadb.spec	2025-06-05 02:29:13.993010548 +0000
@@ -723,7 +723,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f %mysqld_user
-/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MariaDB server" -n %mysqld_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MariaDB server" -N %mysqld_user >/dev/null 2>&1 ||:
 
 %pre_control mysqld
 %pre_control mysqld-chroot
--- a/memcached.spec	2025-06-05 02:29:14.115012109 +0000
+++ b/memcached.spec	2025-06-05 02:29:14.118012148 +0000
@@ -84,7 +84,7 @@
 
 %pre
 groupadd -r -f %pkg_group
-useradd -r -g %pkg_group -d /dev/null -s /dev/null -n %pkg_user >/dev/null 2>&1 ||:
+useradd -r -g %pkg_group -d /dev/null -s /dev/null -N %pkg_user >/dev/null 2>&1 ||:
 if [ $1 -eq 2 ] && [ ! -f /var/run/%name/%name.pid ] && [ -f /var/run/%name.pid ]; then
    mkdir /var/run/%name/
    mv /var/run/%name.pid /var/run/%name/%name.pid
--- a/minio.spec	2025-06-05 02:29:14.207013287 +0000
+++ b/minio.spec	2025-06-05 02:29:14.211013338 +0000
@@ -78,7 +78,7 @@
 
 %pre
 groupadd -r -f _%name
-useradd -r -g _%name -c "Minio" -d %_sharedstatedir/%name -s /dev/null -n _%name >/dev/null 2>&1 ||:
+useradd -r -g _%name -c "Minio" -d %_sharedstatedir/%name -s /dev/null -N _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/mknfsroot.spec	2025-06-05 02:29:14.265014029 +0000
+++ b/mknfsroot.spec	2025-06-05 02:29:14.267014055 +0000
@@ -36,7 +36,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mknfsrootuser
-%_sbindir/useradd -r -g %mknfsrootuser -d %_localstatedir/%name -s /dev/null -n %mknfsrootuser > /dev/null 2>&1
+%_sbindir/useradd -r -g %mknfsrootuser -d %_localstatedir/%name -s /dev/null -N %mknfsrootuser > /dev/null 2>&1
 if ! getent group hashman |cut -d: -f4 |tr , '\n' |fgrep -qsx %mknfsrootuser; then
 	hasher-useradd %mknfsrootuser &&
 	printf '%%s\n%%s\n' 'allow_ttydev=YES' 'allowed_mountpoints=/dev/pts' \
--- a/monetdb.spec	2025-06-05 02:29:14.405015821 +0000
+++ b/monetdb.spec	2025-06-05 02:29:14.409015872 +0000
@@ -66,7 +66,7 @@
 
 %pre server
 %_sbindir/groupadd -r -f _monetdb
-%_sbindir/useradd -r -g _monetdb -r -c "MonetDB database management system" -s /sbin/nologin -d %_localstatedir/monetdb5 -n _monetdb > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _monetdb -r -c "MonetDB database management system" -s /sbin/nologin -d %_localstatedir/monetdb5 -N _monetdb > /dev/null 2>&1 ||:
 
 %post server
 %post_service %name
--- a/mongo.spec	2025-06-05 02:29:14.464016576 +0000
+++ b/mongo.spec	2025-06-05 02:29:14.471016666 +0000
@@ -160,7 +160,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -170,7 +170,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2025-06-05 02:29:14.529017408 +0000
+++ b/mongo.spec	2025-06-05 02:29:14.536017498 +0000
@@ -152,7 +152,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -162,7 +162,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2025-06-05 02:29:14.593018227 +0000
+++ b/mongo.spec	2025-06-05 02:29:14.600018317 +0000
@@ -157,7 +157,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -167,7 +167,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2025-06-05 02:29:14.655019021 +0000
+++ b/mongo.spec	2025-06-05 02:29:14.663019123 +0000
@@ -161,7 +161,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -171,7 +171,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mpd.spec	2025-06-05 02:29:14.845021453 +0000
+++ b/mpd.spec	2025-06-05 02:29:14.854021568 +0000
@@ -237,7 +237,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mpd_group &>/dev/null ||:
-%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
+%_sbindir/useradd -r -N -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
     -c "Music Player Daemon (%Name)" %mpd_user &>/dev/null ||:
 %_sbindir/usermod -g %mpd_group -G audio %mpd_user &>/dev/null ||:
 
--- a/nagios.spec	2025-06-05 02:29:14.909022272 +0000
+++ b/nagios.spec	2025-06-05 02:29:14.922022438 +0000
@@ -259,7 +259,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null
-%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/%name \
+%_sbindir/useradd -r -N -g %nagios_grp -d %_localstatedir/%name \
     -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:
 
 %post
--- a/nagios-nrpe.spec	2025-06-05 02:29:14.996023385 +0000
+++ b/nagios-nrpe.spec	2025-06-05 02:29:15.002023462 +0000
@@ -132,7 +132,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null ||:
-%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/nagios \
+%_sbindir/useradd -r -N -g %nagios_grp -d %_localstatedir/nagios \
     -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:
 
 %post
--- a/nbd.spec	2025-06-05 02:29:15.053024115 +0000
+++ b/nbd.spec	2025-06-05 02:29:15.056024153 +0000
@@ -97,7 +97,7 @@
 
 %pre server
 %_sbindir/groupadd -r -f _nbd
-%_sbindir/useradd -r -g _nbd -d /dev/null -s /dev/null -n _nbd > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _nbd -d /dev/null -s /dev/null -N _nbd > /dev/null 2>&1 ||:
 
 %post server
 %post_service nbd-server
--- a/nfs.spec	2025-06-05 02:29:15.135025165 +0000
+++ b/nfs.spec	2025-06-05 02:29:15.144025280 +0000
@@ -131,9 +131,9 @@
 #-------------------------------------------------------------------------------
 %pre clients
 %_sbindir/groupadd -r -f rpcuser &> /dev/null
-%_sbindir/useradd -r -g rpcuser -d %_localstatedir/nfs -s /dev/null -c 'RPC Service User' -n rpcuser &> /dev/null ||:
+%_sbindir/useradd -r -g rpcuser -d %_localstatedir/nfs -s /dev/null -c 'RPC Service User' -N rpcuser &> /dev/null ||:
 %_sbindir/groupadd -r -f nfsuser &> /dev/null
-%_sbindir/useradd -r -g nfsuser -d /dev/null -s /dev/null -c 'NFS Service User' -n nfsuser &> /dev/null ||:
+%_sbindir/useradd -r -g nfsuser -d /dev/null -s /dev/null -c 'NFS Service User' -N nfsuser &> /dev/null ||:
 
 %pre utils
 [ $1 -eq 1 ] || /usr/sbin/control-dump nfsmount
--- a/nginx.spec	2025-06-05 02:29:15.197025958 +0000
+++ b/nginx.spec	2025-06-05 02:29:15.209026112 +0000
@@ -293,7 +293,7 @@
 %pre
 %_sbindir/groupadd -r -f %nginx_group ||:
 %_sbindir/groupadd -r -f _webserver ||:
-%_sbindir/useradd -r -g %nginx_group -G _webserver -d /dev/null -s /dev/null -n %nginx_user \
+%_sbindir/useradd -r -g %nginx_group -G _webserver -d /dev/null -s /dev/null -N %nginx_user \
 	2> /dev/null > /dev/null ||:
 
 %post
--- a/ngrep.spec	2025-06-05 02:29:15.262026790 +0000
+++ b/ngrep.spec	2025-06-05 02:29:15.264026816 +0000
@@ -52,7 +52,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name
-%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %files
 %_sbindir/%name
--- a/nmap.spec	2025-06-05 02:29:15.313027443 +0000
+++ b/nmap.spec	2025-06-05 02:29:15.318027507 +0000
@@ -108,7 +108,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f nmapuser
-/usr/sbin/useradd -r -g nmapuser -d /dev/null -s /dev/null -n nmapuser >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g nmapuser -d /dev/null -s /dev/null -N nmapuser >/dev/null 2>&1 ||:
 
 %files
 %_bindir/nmap
--- a/nsd.spec	2025-06-05 02:29:15.417028774 +0000
+++ b/nsd.spec	2025-06-05 02:29:15.420028812 +0000
@@ -66,7 +66,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _nsd
-/usr/sbin/useradd -r -g _nsd -d /var/empty -s /sbin/nologin -n -c "Name Server Daemon" _nsd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _nsd -d /var/empty -s /sbin/nologin -N -c "Name Server Daemon" _nsd >/dev/null 2>&1 ||:
 
 %preun
 %preun_service nsd
--- a/openssh.spec	2025-06-05 02:29:16.682044965 +0000
+++ b/openssh.spec	2025-06-05 02:29:16.692045093 +0000
@@ -234,7 +234,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post server
--- a/openssh.spec	2025-06-05 02:29:16.759045950 +0000
+++ b/openssh.spec	2025-06-05 02:29:16.771046104 +0000
@@ -237,7 +237,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post server
--- a/openssh.spec	2025-06-05 02:29:16.804046526 +0000
+++ b/openssh.spec	2025-06-05 02:29:16.815046667 +0000
@@ -255,7 +255,7 @@
 
 %pre -n %oname-server-gostcrypto
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post -n %oname-server-gostcrypto
--- a/openvswitch.spec	2025-06-05 02:29:16.875047435 +0000
+++ b/openvswitch.spec	2025-06-05 02:29:16.886047576 +0000
@@ -243,7 +243,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name
-%_sbindir/useradd -r -n -g %name -d %_localstatedir/%name -M -s /sbin/nologin -c "Open vSwitch Daemons" %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d %_localstatedir/%name -M -s /sbin/nologin -c "Open vSwitch Daemons" %name >/dev/null 2>&1 ||:
 
 %post
 if [ $1 -eq 2 ] && [ -f %_sysconfdir/openvswitch/system-id.conf ] ; then
--- a/osec.spec	2025-06-05 02:29:16.938048241 +0000
+++ b/osec.spec	2025-06-05 02:29:16.942048293 +0000
@@ -88,7 +88,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %osec_group
-/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -n %osec_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -N %osec_user >/dev/null 2>&1 ||:
 
 %triggerpostun -- %name < 0:1.0.0-alt1
 rm -f %osec_statedir/osec.db.*
--- a/passivedns.spec	2025-06-05 02:29:17.162051108 +0000
+++ b/passivedns.spec	2025-06-05 02:29:17.166051160 +0000
@@ -106,7 +106,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _%name
-/usr/sbin/useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -n -c "DNS network sniffer" _%name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -N -c "DNS network sniffer" _%name >/dev/null 2>&1 ||:
 
 %post daemon
 %post_service %name
--- a/pdnsd.spec	2025-06-05 02:29:17.195051531 +0000
+++ b/pdnsd.spec	2025-06-05 02:29:17.198051569 +0000
@@ -60,7 +60,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1 ||:
-%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %post
 [ -s %_cachedir/%name/%name.cache ] ||
--- a/php-fpm-fcgi.spec	2025-06-05 02:29:17.357053604 +0000
+++ b/php-fpm-fcgi.spec	2025-06-05 02:29:17.363053681 +0000
@@ -153,7 +153,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/php-fpm-fcgi.spec	2025-06-05 02:29:17.406054231 +0000
+++ b/php-fpm-fcgi.spec	2025-06-05 02:29:17.412054308 +0000
@@ -153,7 +153,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/php-fpm-fcgi.spec	2025-06-05 02:29:17.454054846 +0000
+++ b/php-fpm-fcgi.spec	2025-06-05 02:29:17.460054922 +0000
@@ -153,7 +153,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/php-fpm-fcgi.spec	2025-06-05 02:29:17.502055460 +0000
+++ b/php-fpm-fcgi.spec	2025-06-05 02:29:17.508055537 +0000
@@ -153,7 +153,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/pidentd.spec	2025-06-05 02:29:17.552056100 +0000
+++ b/pidentd.spec	2025-06-05 02:29:17.554056126 +0000
@@ -46,7 +46,7 @@
 install -p -m755 -D %SOURCE3 $RPM_BUILD_ROOT%_initdir/identd
 
 %pre                                                                                                  
-/usr/sbin/useradd -r -g proc -d /dev/null -s /dev/null -n %name &>/dev/null ||:
+/usr/sbin/useradd -r -g proc -d /dev/null -s /dev/null -N %name &>/dev/null ||:
 
 %post
 %post_service identd
--- a/polkit.spec	2025-06-05 02:29:17.719058237 +0000
+++ b/polkit.spec	2025-06-05 02:29:17.723058289 +0000
@@ -98,7 +98,7 @@
 
 %pre
 %_sbindir/groupadd -r -f polkitd 2>/dev/null ||:
-%_sbindir/useradd -r -n -g polkitd -d / \
+%_sbindir/useradd -r -N -g polkitd -d / \
 	-s /dev/null -c "User for polkitd" polkitd 2>/dev/null ||:
 
 %files -f %name-1.lang
--- a/popa3d.spec	2025-06-05 02:29:17.753058673 +0000
+++ b/popa3d.spec	2025-06-05 02:29:17.755058698 +0000
@@ -51,7 +51,7 @@
 
 %post
 /usr/sbin/groupadd -r -f popa3d
-/usr/sbin/useradd -r -g popa3d -d /dev/null -s /dev/null -n popa3d >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g popa3d -d /dev/null -s /dev/null -N popa3d >/dev/null 2>&1 ||:
 
 %files
 %_sbindir/popa3d
--- a/pound.spec	2025-06-05 02:29:17.832059684 +0000
+++ b/pound.spec	2025-06-05 02:29:17.834059709 +0000
@@ -41,7 +41,7 @@
 %post_service pound
 
 /usr/sbin/groupadd -r -f _pound
-/usr/sbin/useradd -r -g _pound -d /dev/null -s /dev/null -n _pound >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _pound -d /dev/null -s /dev/null -N _pound >/dev/null 2>&1 ||:
 
 %preun
 %preun_service pound
--- a/prosody.spec	2025-06-05 02:29:17.863060081 +0000
+++ b/prosody.spec	2025-06-05 02:29:17.866060119 +0000
@@ -58,7 +58,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _prosody
-/usr/sbin/useradd -r -g _prosody -d %_localstatedir/%name -s /sbin/nologin -n -c "%summary" _prosody >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _prosody -d %_localstatedir/%name -s /sbin/nologin -N -c "%summary" _prosody >/dev/null 2>&1 ||:
 
 %preun
 %preun_service prosody
--- a/pypolicyd-spf.spec	2025-06-05 02:29:17.945061130 +0000
+++ b/pypolicyd-spf.spec	2025-06-05 02:29:17.947061156 +0000
@@ -45,7 +45,7 @@
 /usr/sbin/groupadd -r -f %pypolicy_owner
 /usr/sbin/groupadd -r -f %pypolicy_admin
 
-/usr/sbin/useradd -r -n -g %pypolicy_owner -M -s /dev/null -c %pypolicy_owner %pypolicy_owner >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %pypolicy_owner -M -s /dev/null -c %pypolicy_owner %pypolicy_owner >/dev/null 2>&1 ||:
 
 %files -f INSTALLED_FILES
 %_man1dir/*
--- a/rpcbind.spec	2025-06-05 02:29:18.998074607 +0000
+++ b/rpcbind.spec	2025-06-05 02:29:19.003074671 +0000
@@ -45,7 +45,7 @@
 
 %post
 /usr/sbin/groupadd -r -f rpc
-/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -n rpc >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -N rpc >/dev/null 2>&1 ||:
 %post_control -s local rpcbind
 %post_service %name
 
--- a/sa-content-filter.spec	2025-06-05 02:29:19.160076681 +0000
+++ b/sa-content-filter.spec	2025-06-05 02:29:19.163076719 +0000
@@ -36,7 +36,7 @@
 mkdir -p  %buildroot%_var/run/spamd/
 
 %pre
-/usr/sbin/useradd -r -g %spamd_group -d /dev/null -s /dev/null -n _filter >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %spamd_group -d /dev/null -s /dev/null -N _filter >/dev/null 2>&1 ||:
 
 %post
 if [ "$1" -eq 1 ]; then
--- a/scanlogd.spec	2025-06-05 02:29:19.248077807 +0000
+++ b/scanlogd.spec	2025-06-05 02:29:19.250077833 +0000
@@ -34,7 +34,7 @@
 
 %post
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 %post_service %name
 
 %preun
--- a/slocate.spec	2025-06-05 02:29:19.363079279 +0000
+++ b/slocate.spec	2025-06-05 02:29:19.365079305 +0000
@@ -30,7 +30,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %files
 %attr(2711,root,%name) %_bindir/%name
--- a/smstools.spec	2025-06-05 02:29:19.392079650 +0000
+++ b/smstools.spec	2025-06-05 02:29:19.395079689 +0000
@@ -66,7 +66,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f smsd
-/usr/sbin/useradd -r -n -g smsd -d /dev/null -s /dev/null -c SMSd -G uucp,smsd smsd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g smsd -d /dev/null -s /dev/null -c SMSd -G uucp,smsd smsd >/dev/null 2>&1 ||:
 
 %post
 %post_service smsd
--- a/snmptt.spec	2025-06-05 02:29:19.423080047 +0000
+++ b/snmptt.spec	2025-06-05 02:29:19.427080098 +0000
@@ -105,7 +105,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f snmptt ||:
-/usr/sbin/useradd -r -g snmptt -d %_var/spool/snmptt -s /sbin/nologin -n -c "SNMP Trap Translate" snmptt ||:
+/usr/sbin/useradd -r -g snmptt -d %_var/spool/snmptt -s /sbin/nologin -N -c "SNMP Trap Translate" snmptt ||:
 
 %post
 %post_service %name
--- a/sphinx.spec	2025-06-05 02:29:19.510081160 +0000
+++ b/sphinx.spec	2025-06-05 02:29:19.516081237 +0000
@@ -151,7 +151,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _sphinx &>/dev/null
-%_sbindir/useradd -r -n -g _sphinx -d /var/empty -s /bin/false -c "Sphinx Searchd pseudo user" _sphinx >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _sphinx -d /var/empty -s /bin/false -c "Sphinx Searchd pseudo user" _sphinx >/dev/null 2>&1 ||:
 
 %post
 %post_service searchd
--- a/sqlgrey.spec	2025-06-05 02:29:19.558081775 +0000
+++ b/sqlgrey.spec	2025-06-05 02:29:19.560081800 +0000
@@ -56,7 +56,7 @@
 /usr/sbin/groupadd -r -f %sqlgrey_owner
 /usr/sbin/groupadd -r -f %sqlgrey_admin
 
-/usr/sbin/useradd -r -n -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
 
 %post
 if [ $1 = 1 ]; then
--- a/sssd.spec	2025-06-05 02:29:19.635082760 +0000
+++ b/sssd.spec	2025-06-05 02:29:19.662083106 +0000
@@ -570,7 +570,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %sssd_user 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %sssd_user -G _keytab -d %sssdstatedir -s /dev/null -c "User for sssd" %sssd_user 2> /dev/null ||:
+%_sbindir/useradd -r -N -g %sssd_user -G _keytab -d %sssdstatedir -s /dev/null -c "User for sssd" %sssd_user 2> /dev/null ||:
 
 %post
 chown root:root %_sysconfdir/sssd/sssd.conf
--- a/starman.spec	2025-06-05 02:29:19.702083618 +0000
+++ b/starman.spec	2025-06-05 02:29:19.705083656 +0000
@@ -66,7 +66,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _starman
-%_sbindir/useradd -r -g _starman -r -c "starman web server" -s /dev/null -d /dev/null -n _starman > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _starman -r -c "starman web server" -s /dev/null -d /dev/null -N _starman > /dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/sysklogd.spec	2025-06-05 02:29:19.771084501 +0000
+++ b/sysklogd.spec	2025-06-05 02:29:19.775084552 +0000
@@ -103,7 +103,7 @@
 
 %pre -n syslogd
 /usr/sbin/groupadd -r -f syslogd
-/usr/sbin/useradd -r -g syslogd -d /dev/null -s /dev/null -n syslogd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g syslogd -d /dev/null -s /dev/null -N syslogd >/dev/null 2>&1 ||:
 
 %post -n syslogd
 %post_service syslogd
@@ -113,7 +113,7 @@
 
 %pre -n klogd
 /usr/sbin/groupadd -r -f klogd
-/usr/sbin/useradd -r -g klogd -d /dev/null -s /dev/null -n klogd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g klogd -d /dev/null -s /dev/null -N klogd >/dev/null 2>&1 ||:
 
 %post -n klogd
 %post_service klogd
--- a/taskd.spec	2025-06-05 02:29:19.805084936 +0000
+++ b/taskd.spec	2025-06-05 02:29:19.808084975 +0000
@@ -70,7 +70,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %name -d %_localstatedir/%name -s /bin/bash \
+%_sbindir/useradd -r -N -g %name -d %_localstatedir/%name -s /bin/bash \
         -c "User for %name" %name 2> /dev/null ||:
 
 %files
--- a/telnet.spec	2025-06-05 02:29:19.865085704 +0000
+++ b/telnet.spec	2025-06-05 02:29:19.868085743 +0000
@@ -70,7 +70,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f telnetd
-/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -n telnetd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -N telnetd >/dev/null 2>&1 ||:
 
 %files
 %_bindir/telnet
--- a/tftp.spec	2025-06-05 02:29:19.918086382 +0000
+++ b/tftp.spec	2025-06-05 02:29:19.923086446 +0000
@@ -134,7 +134,7 @@
 
 %post -n %{name}d
 %_sbindir/groupadd -rf %sys_group ||:
-%_sbindir/useradd -r -g %sys_group -d /dev/null -s /dev/null -n %sys_user &>/dev/null ||:
+%_sbindir/useradd -r -g %sys_group -d /dev/null -s /dev/null -N %sys_user &>/dev/null ||:
 
 %post server-standalone
 %post_service %dname ||:
--- a/tokyotyrant.spec	2025-06-05 02:29:19.969087035 +0000
+++ b/tokyotyrant.spec	2025-06-05 02:29:19.974087099 +0000
@@ -108,7 +108,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _tyrant &>/dev/null ||:
-%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g _tyrant \
+%_sbindir/useradd -r -N -M -s /dev/null -d %_localstatedir/%name -g _tyrant \
     -c "Server of Tokyo Tyrant (%sname)" _tyrant &>/dev/null ||:
 
 
--- a/ton.spec	2025-06-05 02:29:20.004087483 +0000
+++ b/ton.spec	2025-06-05 02:29:20.010087560 +0000
@@ -171,7 +171,7 @@
 
 %pre rldp-http-proxy
 %_sbindir/groupadd -r -f %userrldp &>/dev/null
-%_sbindir/useradd -r -n -g %userrldp -d /var/empty -s /bin/false -c "%userrldp pseudo user" %userrldp >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %userrldp -d /var/empty -s /bin/false -c "%userrldp pseudo user" %userrldp >/dev/null 2>&1 ||:
 
 %post rldp-http-proxy
 %post_service rldp-http-proxy
--- a/unbound.spec	2025-06-05 02:29:20.099088699 +0000
+++ b/unbound.spec	2025-06-05 02:29:20.106088788 +0000
@@ -163,7 +163,7 @@
 
 %pre -n lib%name
 /usr/sbin/groupadd -r -f _%name
-/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -n -c "Domain Name Server" _%name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -N -c "Domain Name Server" _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/utftpd.spec	2025-06-05 02:29:20.138089198 +0000
+++ b/utftpd.spec	2025-06-05 02:29:20.141089236 +0000
@@ -69,7 +69,7 @@
 
 %pre
 /usr/sbin/groupadd -rf tftp
-/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -n tftp &>/dev/null ||:
+/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -N tftp &>/dev/null ||:
 
 %files
 %ghost %_sysconfdir/utftpd.cdb
--- a/virtualbox.spec	2025-06-05 02:29:20.646095700 +0000
+++ b/virtualbox.spec	2025-06-05 02:29:20.659095866 +0000
@@ -788,7 +788,7 @@
 
 %if_with webservice
 %pre webservice
-/usr/sbin/useradd -r -g vboxusers -d %vboxwebdir -c 'VirtualBox Web Service' -n vboxwebsrv -s /bin/sh >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g vboxusers -d %vboxwebdir -c 'VirtualBox Web Service' -N vboxwebsrv -s /bin/sh >/dev/null 2>&1 ||:
 %endif
 
 %ifarch x86_64
--- a/vsftpd.spec	2025-06-05 02:29:20.706096468 +0000
+++ b/vsftpd.spec	2025-06-05 02:29:20.710096519 +0000
@@ -84,8 +84,8 @@
 umask 077
 groupadd -r -f vsftpd
 groupadd -r -f novsftpd
-useradd -r -g vsftpd -d /var/ftp -s /dev/null -n vsftpd >/dev/null 2>&1 ||:
-useradd -r -g novsftpd -d /dev/null -s /dev/null -n novsftpd >/dev/null 2>&1 ||:
+useradd -r -g vsftpd -d /var/ftp -s /dev/null -N vsftpd >/dev/null 2>&1 ||:
+useradd -r -g novsftpd -d /dev/null -s /dev/null -N novsftpd >/dev/null 2>&1 ||:
 touch %_logdir/vsftpd.log
 
 %post_systemd_postponed vsftpd.service vsftpd.target
